org.eclnt.util.log

## Class PLog

- java.lang.Object
- - org.eclnt.util.log.PLog

- All Implemented Interfaces:
    CLogConstants

      public class PLog
      extends java.lang.Object
      implements CLogConstants

  Server side performance logging.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.logging.Logger` | `L`

    - ### Fields inherited from interface org.eclnt.util.log.CLogConstants

      `LL_DBG, LL_ERR, LL_INF, LL_WAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PLog()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `logClientProcessingInfo(java.lang.String sessionId, long clientCommunicationDuration, long clientUpdateDuration)`
    `static void` | `logClientProcessingInfo(java.lang.String sessionId, java.lang.String clientPerformanceData)`
    `static void` | `logRequestInfo(java.lang.String sessionId, long total, long invoke, java.lang.String expression, long consumedNanosGet)`
    `static void` | `updateLogLevel(java.util.logging.Level newLevel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### L

          public static java.util.logging.Logger L

  - ### Constructor Detail

    - #### PLog

          public PLog()

  - ### Method Detail

    - #### updateLogLevel

          public static void updateLogLevel(java.util.logging.Level newLevel)

    - #### logClientProcessingInfo

          public static void logClientProcessingInfo(java.lang.String sessionId,
                                                     java.lang.String clientPerformanceData)

    - #### logClientProcessingInfo

          public static void logClientProcessingInfo(java.lang.String sessionId,
                                                     long clientCommunicationDuration,
                                                     long clientUpdateDuration)

    - #### logRequestInfo

          public static void logRequestInfo(java.lang.String sessionId,
                                            long total,
                                            long invoke,
                                            java.lang.String expression,
                                            long consumedNanosGet)

Copyright © CaptainCasa Gmbh. All Rights Reserved.